This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 646822 - libguestfs trace mode should not print long binary strings
libguestfs trace mode should not print long binary strings
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-26 07:44 EDT by Richard W.M. Jones
Modified: 2011-07-14 15:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 15:21:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-10-26 07:44:45 EDT
Description of problem:

eg. Tracing guestfs_pwrite can print out 2 MB of binary
data.  We should either hide this, escape it, and/or truncate
it.

See Matt's suggested patch on the list:

https://www.redhat.com/archives/libguestfs/2010-October/msg00071.html

Version-Release number of selected component (if applicable):

libguestfs 1.5.23.
Comment 1 Richard W.M. Jones 2010-10-26 09:10:50 EDT
Patch posted:
https://www.redhat.com/archives/libguestfs/2010-October/msg00073.html

Note You need to log in before you can comment on or make changes to this bug.